import request from '@/utils/request'

// 列表
export function list(data) {
  return request({
    url: `/admin/tag/searchTagPageList`,
    method: 'post',
    data
  })
}

// 新增 / 编辑 一级标签
export function submitFirst(data) {
  return request({
    url: `/admin/tag/firstAddOrUpdate`,
    method: 'post',
    data
  })
}

// 新增 / 编辑 二级标签
export function submitSecond(data) {
  return request({
    url: `/admin/tag/secondAddOrUpdate`,
    method: 'post',
    data
  })
}

// 新增 / 编辑 三级标签
export function submitThree(data){
  return request({
    url: `/admin/tag/threeAddOrUpdate`,
    method: 'post',
    data
  })
}

// 标签详情
export function detail(id) {
  return request({
    url: `/admin/tag/findDeatilById/${id}`,
    method: 'get'
  })
}

// 标签上下架
export function change(id, status) {
  return request({
    url: `/admin/tag/hitOrSold/${id}/${status}`,
    method: 'get'
  })
}

// 删除标签
export function remove(id){
  return request({
    url: `/admin/tag/remove/${id}`,
    method: 'delete'
  })
}

// 关联内容
export function contentList(data){
  return request({
    url: `/admin/tag/searchTagPage`,
    method: 'post',
    data
  })
}